Bug Hunting Session
Bug 126088 - Display InternalPaths in UI
Summary: Display InternalPaths in UI
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-25 14:10 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-07-01 14:16 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2019-06-25 14:10:19 UTC
Paths can be configured in Tools->Options->Paths.

Currently only UserPaths are visible there (which are also editable by the user).
Additionally, there is a property InternalPaths for paths configured by Admins.

They are not user-changeable, but it would be nice to have them displayed read-only to be able to review the paths currently available.
Comment 1 Oliver Brinzing 2019-06-26 17:54:50 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #0)

> They are not user-changeable, but it would be nice to have them displayed
> read-only to be able to review the paths currently available.

+1
Comment 2 Samuel Mehrbrodt (CIB) 2019-07-01 10:36:52 UTC
Patch is here: https://gerrit.libreoffice.org/#/c/74952
Comment 3 Commit Notification 2019-07-01 13:01:07 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ed7e547e1241cf913e138436fa3d7bca8319ec1d%5E%21

tdf#126088 Display InternalPaths in UI

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.